#!/usr/bin/env python3

import sys

from PyQt5.QtCore import pyqtSlot
from PyQt5.QtWidgets import QApplication, QMainWindow
from PyQt5.QtGui import QMovie, QPixmap, QPainter

from Ui_Form import Ui_MainWindow as Ui
from resources_rc import *

class MainWindow(QMainWindow, Ui):
    def __init__(self, parent=None):
        super(MainWindow, self).__init__(parent)
        self.setupUi(self)
        
        self.m_movie = QMovie(":/res/images/HeadWave.gif")
        self.m_movie.setCacheMode(QMovie.CacheAll)
        self.m_movie.frameChanged.connect(self.updateImage)
        self.m_movie.start()

    @pyqtSlot(int)
    def updateImage(self,  _):
        m = QPixmap(":/res/images/bg.png")  # Tile
        
        port_width = self.m_movie.frameRect().width()
        port_height = self.m_movie.frameRect().height()
        
        temp = QPixmap(port_width,  port_height)  # Painter Target
        q = QPainter(temp)
        
        q.drawTiledPixmap(0, 0, port_width, port_height, m)
        q.drawPixmap(0, 0, self.m_movie.currentPixmap())
        q.end()
        
        self.label.setPixmap(temp)


def main():
    app = QApplication(sys.argv)
    window = MainWindow()

    window.show()
    app.exec()

if __name__ == "__main__":
    main()
