#!/usr/bin/env python3

import sys

from PyQt5.QtWidgets import QApplication, QMainWindow
from PyQt5.QtGui import QMovie

from Ui_Form import Ui_MainWindow as Ui
from resources_rc import *

class MainWindow(QMainWindow, Ui):
    def __init__(self, parent=None):
        super(MainWindow, self).__init__(parent)
        self.setupUi(self)
        
        self.m_movie = QMovie(":/res/images/HeadWave.gif")
        self.m_movie.setCacheMode(QMovie.CacheAll)
        
        self.label.setStyleSheet("""
                QWidget {background-image : url(:/res/images/PIA_m.jpg);
                }
            """)
        self.label.setMovie(self.m_movie)

        self.m_movie.start()


def main():
    app = QApplication(sys.argv)
    window = MainWindow()

    window.show()
    app.exec()

if __name__ == "__main__":
    main()
