#!/usr/bin/env python3

import sys

from PyQt5.QtCore import QSize
from PyQt5.QtWidgets import QApplication, QMainWindow, QLabel
from PyQt5.QtGui import QMovie

from Ui_Form import Ui_MainWindow as Ui
from resources_rc import *

class MainWindow(QMainWindow, Ui):
    def __init__(self, parent=None):
        super(MainWindow, self).__init__(parent)
        self.setupUi(self)
        
        self.m_movie = QMovie(":/res/images/HeadWave.gif")
        self.m_movie.setCacheMode(QMovie.CacheAll)
        self.m_movie.setScaledSize(QSize(250, 250))
        
        self.label.setText("""
                What's to be shown here is, that a QLabel instance can be made
                to hover in front of the application window, but, to be translucent,
                while displaying an animated GIF, so that the application window's
                colours can be seen behind it.
                Please note:
                Neither the QLabel widget in front of this text, nor the widget
                which is displaying the text, needed to be given any special attributes
                in this example.
            """)
        
        self.fg_widget = QLabel(self.label)
        self.fg_widget.setGeometry(150, 200, 250, 250)
        
        self.fg_widget.setMovie(self.m_movie)
        self.fg_widget.show()

        self.m_movie.start()


def main():
    app = QApplication(sys.argv)
    window = MainWindow()

    window.show()
    app.exec()

if __name__ == "__main__":
    main()
